/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Simulation;

import ws3dproxy.util.Constants;



/**
 *
 * @author Danilo
 */
public class SimulationItem
{
    public enum ItemType
    {
        JEWEL,
        BRICK,
        FOOD
    }

    /***
     * Convert the object type to Simulation Environment Objects
     * @return The entity Type detected by the sensor
     */
    public static ItemType getItemTypeFromThingCategory(int categoryType)
    {
        ItemType itemType = null;

        switch (categoryType)
        {
            case Constants.categoryBRICK:
                itemType = ItemType.BRICK;
                break;

            case Constants.categoryJEWEL:
                itemType = ItemType.JEWEL;
                break;

            case Constants.categoryFOOD:
            case Constants.categoryNPFOOD:
            case Constants.categoryPFOOD:
                itemType = ItemType.FOOD;
                break;
        }

        return itemType;
    }
}
