/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package SoarBridge;

/**
 *
 * @author Danilo
 */
public class SoarCommand
{
    public enum CommandType
    {
        MOVE,
        GET,
        EAT,
        DELIVERY
    }

    private CommandType commandType;
    private Object commandArgument;


    public SoarCommand()
    {
        commandType = null;
        commandArgument = null;
    }

    public SoarCommand(CommandType _command)
    {
        commandType = _command;
        switch (commandType)
        {
            case MOVE:
                commandArgument = new SoarCommandMove();
                break;

            case GET:
                commandArgument = new SoarCommandGet();
                break;

            case EAT:
                commandArgument = new SoarCommandEat();
                break;
                
            case DELIVERY:
                commandArgument = new SoarCommandDelivery();
                break;

            default:
                commandArgument = null;
                break;
        }
    }

     /**
     * @return the command
     */
    public CommandType getCommandType()
    {
        return commandType;
    }

    /**
     * @param command the command to set
     */
    public void setCommand(CommandType command)
    {
        this.commandType = command;
    }

    /**
     * @return the commandArgument
    */
    public Object getCommandArgument()
    {
        return commandArgument;
    }

    /**
     * @param commandArgument the commandArgument to set
     */
    public void setCommandArgument(Object commandArgument)
    {
        this.commandArgument = commandArgument;
    }
}
